<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage  Pushpa
 * @since  Pushpa 1.0.0
 */
$options = pushpa_get_theme_options();
?>
<article class="hentry">
	<?php if (has_post_thumbnail()): ?>
		<div class="featured-image">
			<a href="<?php the_permalink(); ?>"><img src="<?php the_post_thumbnail_url( 'large' ) ?>" alt="<?php the_title(); ?>"></a>
		</div>
	<?php endif; ?>
	<div class="entry-container">
		<div class="entry-content">
			<?php
				the_content( sprintf(
					/* translators: %s: Name of current post. */
					wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'pushpa' ), array( 'span' => array( 'class' => array() ) ) ),
					the_title( '<span class="screen-reader-text">"', '"</span>', false )
				) );

				wp_link_pages( array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'pushpa' ),
					'after'  => '</div>',
				) );
			?>
		</div><!-- .entry-content -->
	</div><!-- .entry-container -->

	<div class="entry-meta">
		<?php if(! $options['single_post_hide_author']):
			echo pushpa_author();
		endif; 
		if (! $options['single_post_hide_date'] ) :
			pushpa_posted_on();
		endif; ?>

		<?php pushpa_single_categories(); ?>

	</div><!-- .entry-meta -->
</article>
